import request from '@/utils/request'

// 根据批准文号或备案编号查询召回信息
export function getRecall(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/findRecallByName',
        method: 'get',
        params: query
    })
}
//根据批准文号或备案编号查询自然年一年根据报告类型化妆品报告数量统计
export function getCosmeticsBL(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/getHZPReportCountByType',
        method: 'get',
        params: query
    })
}
//根据批准文号或备案编号查询自然年一年根据报告类型医疗器械数量统计
export function getMedicalDevicesBL(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/getYLQXReportCountByType',
        method: 'get',
        params: query
    })
}
//根据批准文号或备案编号查询自然年一年根据报告类型药品报告数量统计
export function getDrugBL(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/getYPReportCountByType',
        method: 'get',
        params: query
    })
}
//根据批准文号或备案编号查询药品变更信息
export function getDrugChange(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/pageAlterByReq',
        method: 'get',
        params: query
    })
}
//根据批准文号或备案编号查询产品档案抽检信息
export function getCPCJ(query) {
    return request({
        url: '/ggfw-api/pharmaceuticals/largeScreen/productFileInspect',
        method: 'get',
        params: query
    })
}